Bug 806789 - need to export the testing report in test run
need to export the testing report in test run
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Usability (Show other bugs)
Devel
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.7.0
Assigned To: June Zhang
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 05:00 EDT by Shirley Zhou
Modified: 2018-02-15 19:37 EST (History)
6 users (show)

See Also:
Fixed In Version: tcms 3.7.0-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Select case run (134.54 KB, image/png)
2012-04-24 02:21 EDT, Jin Zhao
no flags Details
Select all (91.24 KB, image/png)
2012-04-24 02:22 EDT, Jin Zhao
no flags Details

  None (edit)
Description Shirley Zhou 2012-03-26 05:00:55 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 yawei Li 2012-04-10 22:56:50 EDT
will be resolved on 3.7.0 release.
Comment 2 Chaobin Tang 2012-04-11 06:11:51 EDT
Added more columns in the exported CSV, as well as the support for XML format.
Comment 3 Jin Zhao 2012-04-24 02:21:31 EDT
Created attachment 579761 [details]
Select case run

Verify version 3.7.0-1 on stage -> FAIL

Steps:
1. Enter to any test run . Ex:https://tcms-stage.englab.bne.redhat.com/run/25260/
2. Select some case run , then click Export To XML button
3. Select all case run , then click Export To Xml Button
Actual result:
After step 2. Warning "TypeError at /run/25260/export/..."
After step 3. 500 (Service Error)
Comment 4 Jin Zhao 2012-04-24 02:22:10 EDT
Created attachment 579762 [details]
Select all
Comment 5 Chaobin Tang 2012-05-02 23:39:01 EDT
There is an AttributeError in the XML serializer because of a typo in the variable name. This leaked through because during the integration testing, there was (should not be though) no data created to test the serializer behavior.

Fixed.
Comment 6 Xin Gao 2012-05-08 04:48:41 EDT
erify result --> pass

verify version
tcms-3.7.0-2 on stage

verify step
1. Enter to any test run .
2. click Export To Xml Button

result
work well.

Note You need to log in before you can comment on or make changes to this bug.